<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.7"/>
<title>Framework: Class Members</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo_hds.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">Framework
   </div>
   <div id="projectbrief">Framework drone</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.7 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li class="current"><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="navrow3" class="tabs2">
    <ul class="tablist">
      <li class="current"><a href="functions.html"><span>All</span></a></li>
      <li><a href="functions_func.html"><span>Functions</span></a></li>
      <li><a href="functions_vars.html"><span>Variables</span></a></li>
      <li><a href="functions_enum.html"><span>Enumerations</span></a></li>
      <li><a href="functions_eval.html"><span>Enumerator</span></a></li>
    </ul>
  </div>
  <div id="navrow4" class="tabs3">
    <ul class="tablist">
      <li><a href="functions.html#index_a"><span>a</span></a></li>
      <li><a href="functions_b.html#index_b"><span>b</span></a></li>
      <li><a href="functions_c.html#index_c"><span>c</span></a></li>
      <li><a href="functions_d.html#index_d"><span>d</span></a></li>
      <li><a href="functions_e.html#index_e"><span>e</span></a></li>
      <li><a href="functions_f.html#index_f"><span>f</span></a></li>
      <li><a href="functions_g.html#index_g"><span>g</span></a></li>
      <li><a href="functions_h.html#index_h"><span>h</span></a></li>
      <li><a href="functions_i.html#index_i"><span>i</span></a></li>
      <li><a href="functions_j.html#index_j"><span>j</span></a></li>
      <li><a href="functions_l.html#index_l"><span>l</span></a></li>
      <li><a href="functions_m.html#index_m"><span>m</span></a></li>
      <li><a href="functions_n.html#index_n"><span>n</span></a></li>
      <li><a href="functions_o.html#index_o"><span>o</span></a></li>
      <li class="current"><a href="functions_p.html#index_p"><span>p</span></a></li>
      <li><a href="functions_q.html#index_q"><span>q</span></a></li>
      <li><a href="functions_r.html#index_r"><span>r</span></a></li>
      <li><a href="functions_s.html#index_s"><span>s</span></a></li>
      <li><a href="functions_t.html#index_t"><span>t</span></a></li>
      <li><a href="functions_u.html#index_u"><span>u</span></a></li>
      <li><a href="functions_v.html#index_v"><span>v</span></a></li>
      <li><a href="functions_w.html#index_w"><span>w</span></a></li>
      <li><a href="functions_x.html#index_x"><span>x</span></a></li>
      <li><a href="functions_y.html#index_y"><span>y</span></a></li>
      <li><a href="functions_z.html#index_z"><span>z</span></a></li>
      <li><a href="functions_~.html#index_~"><span>~</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('functions_p.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Namespaces</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Typedefs</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&#160;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&#160;</span>Enumerator</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(9)"><span class="SelectionMark">&#160;</span>Properties</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="contents">
<div class="textblock">Here is a list of all documented class members with links to the class documentation for each member:</div>

<h3><a class="anchor" id="index_p"></a>- p -</h3><ul>
<li>Parent()
: <a class="el" href="classframework_1_1core_1_1_object.html#a8dda2eca639eb56bb2c3f26de04f2678">framework::core::Object</a>
</li>
<li>ParrotBatteryMonitor()
: <a class="el" href="classframework_1_1sensor_1_1_parrot_battery_monitor.html#a7de2c240255dc0e00e4d814f0d2dbe1e">framework::sensor::ParrotBatteryMonitor</a>
</li>
<li>ParrotBldc()
: <a class="el" href="classframework_1_1actuator_1_1_parrot_bldc.html#a2c89529a5488b451336dc813c21fd0f8">framework::actuator::ParrotBldc</a>
</li>
<li>ParrotCamH()
: <a class="el" href="classframework_1_1sensor_1_1_parrot_cam_h.html#aa1223aa1924ad5b972f0ba9a7f6691aa">framework::sensor::ParrotCamH</a>
</li>
<li>ParrotCamV()
: <a class="el" href="classframework_1_1sensor_1_1_parrot_cam_v.html#a6ff3044b6fa6a25e2111523b99708d29">framework::sensor::ParrotCamV</a>
</li>
<li>ParrotGps()
: <a class="el" href="classframework_1_1sensor_1_1_parrot_gps.html#a3b05d260c2aa541d8779266f2294a91c">framework::sensor::ParrotGps</a>
</li>
<li>ParrotNavBoard()
: <a class="el" href="classframework_1_1sensor_1_1_parrot_nav_board.html#ada58c857d32807cf6f15d3609cfc068c">framework::sensor::ParrotNavBoard</a>
</li>
<li>parseFrame()
: <a class="el" href="classframework_1_1sensor_1_1_gps.html#a25fe40b70f56d99bc216498a553ca757">framework::sensor::Gps</a>
</li>
<li>Picture()
: <a class="el" href="classframework_1_1gui_1_1_picture.html#a76f55fa52e206b248b10cd782f40cbf9">framework::gui::Picture</a>
</li>
<li>Pid()
: <a class="el" href="classframework_1_1filter_1_1_pid.html#aec2d12ebb5fa58150a636ce2e1d73b67">framework::filter::Pid</a>
</li>
<li>PidThrust()
: <a class="el" href="classframework_1_1filter_1_1_pid_thrust.html#a5b02d1c12eeba0e4a87d5439def9c7e3">framework::filter::PidThrust</a>
</li>
<li>Pitch
: <a class="el" href="classframework_1_1core_1_1_ahrs_data.html#a9730129235a6b9aa030647d7ec0aa14ba8ceebad98e6c32b48191c1b91911ac69">framework::core::AhrsData</a>
</li>
<li>pitch
: <a class="el" href="classframework_1_1core_1_1_euler.html#af7d5e26735084cdc6160d573b4f23ac9">framework::core::Euler</a>
</li>
<li>PitchDeg
: <a class="el" href="classframework_1_1core_1_1_ahrs_data.html#a9730129235a6b9aa030647d7ec0aa14ba59bebd35dc270fa9209c23c7411027ed">framework::core::AhrsData</a>
</li>
<li>PitchPlot()
: <a class="el" href="classframework_1_1filter_1_1_ahrs.html#a2c3b54638eaed16780728f6d558cfb7b">framework::filter::Ahrs</a>
</li>
<li>PitchTrim()
: <a class="el" href="classframework_1_1filter_1_1_joy_reference.html#af27a681eef9e8874e6b76a9e1d737c20">framework::filter::JoyReference</a>
</li>
<li>PitchTrimDown()
: <a class="el" href="classframework_1_1filter_1_1_joy_reference.html#a320d203d6cfb69a868c1c34b594d0b55">framework::filter::JoyReference</a>
</li>
<li>PitchTrimUp()
: <a class="el" href="classframework_1_1filter_1_1_joy_reference.html#afafab646ac224c6c0a8627923bee541d">framework::filter::JoyReference</a>
</li>
<li>PlotableData_t
: <a class="el" href="classframework_1_1core_1_1_ahrs_data.html#a9730129235a6b9aa030647d7ec0aa14b">framework::core::AhrsData</a>
, <a class="el" href="classframework_1_1core_1_1_imu_data.html#a68dd279898f5c11b57c6169b0168e2c8">framework::core::ImuData</a>
</li>
<li>PointsA()
: <a class="el" href="classframework_1_1filter_1_1_optical_flow_data.html#a964c13a0acbe0993ad3bfe7dafc8830d">framework::filter::OpticalFlowData</a>
</li>
<li>PointsB()
: <a class="el" href="classframework_1_1filter_1_1_optical_flow_data.html#aa3ee8e52f63e598ccba72b3155f8de03">framework::filter::OpticalFlowData</a>
</li>
<li>Position()
: <a class="el" href="classframework_1_1filter_1_1_trajectory_generator1_d.html#aee159ea65ab65ab89db415721cc01b72">framework::filter::TrajectoryGenerator1D</a>
</li>
<li>Pps
: <a class="el" href="classframework_1_1sensor_1_1_gps.html#a3bec6c638e73b402193ad6a2141cb070abd9768d943ecb6ddb75aeffea3bfd829">framework::sensor::Gps</a>
</li>
<li>Prev()
: <a class="el" href="classframework_1_1core_1_1io__data.html#a9549e4e07891d29b00710b75d92bef0e">framework::core::io_data</a>
</li>
<li>prev
: <a class="el" href="classframework_1_1core_1_1io__data.html#a12e0da00d9b0af3e7009f7c840d91272">framework::core::io_data</a>
</li>
<li>ProcessUpdate()
: <a class="el" href="classframework_1_1core_1_1_i_o_device.html#a50eb13bc82e98bc0e170d77bba026de4">framework::core::IODevice</a>
</li>
<li>Ps3Eye()
: <a class="el" href="classframework_1_1sensor_1_1_ps3_eye.html#a6242d028766e0aa0d381e6026dfffa1c">framework::sensor::Ps3Eye</a>
</li>
<li>PushButton()
: <a class="el" href="classframework_1_1gui_1_1_push_button.html#a4e100112bb01dc19a0beee2a6b73f9fb">framework::gui::PushButton</a>
</li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated on Tue Apr 12 2016 16:29:00 for Framework by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.7 </li>
  </ul>
</div>
</body>
</html>
